Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

It is related to conflict with the python-request, incompatibilities. It just started today this issue with Juno as no problems in Kilo..

If you try to update you can get similar to this..

--> Running transaction check ---> Package kernel.x86_64 0:3.10.0-123.el7 will be erased ---> Package python-oslo-vmware.noarch 0:0.7.0-1.el7 will be an update --> Processing Dependency: python-request for package: python-oslo-vmware-0.7.0- 1.el7.noarch --> Finished Dependency Resolution Error: Package: python-oslo-vmware-0.7.0-1.el7.noarch (openstack-juno) Requires: python-request You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

It is related to conflict with the python-request, incompatibilities. It just started today this issue with Juno as no problems in Kilo..

If you try to update you can get similar to this..

--> Running transaction check
---> Package kernel.x86_64 0:3.10.0-123.el7 will be erased
---> Package python-oslo-vmware.noarch 0:0.7.0-1.el7 will be an update
--> Processing Dependency: python-request for package: python-oslo-vmware-0.7.0-                                                                                                                     1.el7.noarch
--> Finished Dependency Resolution
Error: Package: python-oslo-vmware-0.7.0-1.el7.noarch (openstack-juno)
           Requires: python-request
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

--nodigest